## NAME

v.surf.idw - Surface interpolation from sites data by Inverse Distance Squared Weighting.

## SYNOPSIS

v.surf.idw
v.surf.idw help
v.surf.idw [-n] input=string output=string [npoints=count] [layer=integer] col=string

### Flags:

-n
  Don't index points by raster cell (slower but uses less memory and includes points from outside region in the interpolation)

### Parameters:

input=string
  Name of input vector
output=string
  Name of output raster map
npoints=count
  Number of interpolation points
  Default: 12
layer=integer
  Layer number
  Default: 1
col=string
  Attribute table column

## DESCRIPTION

v.surf.idw fills a raster matrix with interpolated values generated from a set of irregularly spaced data points using numerical approximation (weighted averaging) techniques. The interpolated value of a cell is determined by values of nearby data points and the distance of the cell from those input points. In comparison with other methods, numerical approximation allows representation of more complex surfaces (particularly those with anomalous features), restricts the spatial influence of any errors, and generates the interpolated surface from the data points.

This program allows the user to use a GRASS vector point map file, rather than a raster map layer, as input.

## NOTES

The amount of memory used by this program is related to the number of sites in the current region. If the vector point map is very dense (i.e., contains many data points), the program may not be able to get all the memory it needs from the system. The time required to execute is related to the resolution of the current region, after an initial delay determined by the time taken to read the input sites file.

If the user has a mask set, then interpolation is only done for those cells that fall within the mask. However, all sites in the current region are used even if they fall outside the mask. Sites outside the current region are not used in the interpolation. A larger region may be set and a mask used to limit interpolation to a smaller area if it is desired to use sites from outside the region in the interpolation. The -n flag may also be used to achieve a similar result.

If more than count sites fall into one target raster cell, the mean of all the site values will determine the cell value (unless the -n flag is specifed, in which case only the count sites closest to the centre of the cell will be interpolated).

By setting npoints=1, the module can be used to calculate raster Voronoi diagrams (Thiessen polygons).

## SEE ALSO

d.sites
g.region
r.mask
r.surf.contour
r.surf.idw
r.surf.idw2
r.surf.gauss
r.surf.fractal
r.surf.random
v.surf.rst
parser

## AUTHOR

Michael Shapiro, U.S. Army Construction Engineering Research Laboratory
Improved algorithm (indexes points according to cell and ignores points outside current region) by Paul Kelly

Last changed: $Date: 2005/03/02 10:00:50 $

Help Index